#
# spec file for package mgdiff
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mgdiff
BuildRequires:  imake
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXp-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXt-devel
BuildRequires:  openmotif
BuildRequires:  openmotif-devel
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
Version:        1.0.1
Release:        9.2
Summary:        Compare Files Side by Side
License:        MIT
Group:          Productivity/Text/Utilities
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         mgdiff-1.0.tar.bz2
Source1:        mgdiff.desktop
Patch:          mgdiff-1.0.dif
Patch1:         mgdiff-1.0.1.diff
Patch2:         mgdiff-1.0-locale.diff
# PATCH-FIX-SUSE Avoid getline in local name space
Patch3:         mgdiff-1.0-getline.diff
%{expand: %%global _exec_prefix %(type -p pkg-config &>/dev/null && pkg-config --variable prefix x11 || echo /usr/X11R6)}
%if "%_exec_prefix" == "/usr/X11R6"
%global _mandir     %{_exec_prefix}/man
%define _x11data    %{_exec_prefix}/lib/X11
%define _appdefdir  %{_x11data}/app-defaults
%define _mgdifflnk  ../lib/X11/mgdiff
%else
%define _x11data    %{_datadir}/X11
%define _appdefdir  %{_x11data}/app-defaults
%define _mgdifflnk  ../share/X11/mgdiff
%endif

%description
Mgdiff is a graphical front-end to the Unix diff command based on X11
and the Motif widget set. It allows the user to select two files for
comparison, runs the diff command, parses the output and presents the
results graphically.



Authors:
--------
    Daniel Williams <dan@sass.com>

%prep
%setup -n mgdiff-1.0 -q
%patch1
%patch
%patch2 -p1
%patch3
xmkmf -a
%if 0%{?suse_version} >= 1320
sed -ri 's/-D_BSD_SOURCE[[:space:]]+-D_SVID_SOURCE/-D_DEFAULT_SOURCE/' Makefile
%endif

%build
make CCOPTIONS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install.man
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_x11data}/mgdiff
mkdir -p %{buildroot}%{_mandir}/man1
test -e debian/cvsmgdiff.1x || mv debian/cvsmgdiff.1 debian/cvsmgdiff.1x
install -m 0755 debian/cvsmgdiff 	%{buildroot}%{_bindir}/
install -m 0755 debian/rmgdiff		%{buildroot}%{_x11data}/mgdiff/
install -m 0644 debian/rmgdiff.awk	%{buildroot}%{_x11data}/mgdiff/
ln -sf   %{_mgdifflnk}/rmgdiff		%{buildroot}%{_bindir}/
install -m 0644 debian/cvsmgdiff.1x	%{buildroot}%{_mandir}/man1/
install -m 0644 debian/rmgdiff.1x	%{buildroot}%{_mandir}/man1/
%suse_update_desktop_file -i %name Development RevisionControl

%files
%defattr(-,root,root)
%doc README
/usr/share/applications/*.desktop
%{_bindir}/*diff
%dir %{_x11data}/mgdiff
%dir %{_x11data}/app-defaults
%{_x11data}/mgdiff/rmgdiff*
%{_appdefdir}/Mgdiff
%doc %{_mandir}/man1/*.1x.gz

%changelog
* Mon Oct 20 2014 werner@suse.de
- Add sed paser for resulting Makefile to let it build with latest
  glibc as _BSD_SOURCE and _SVID_SOURCE are deprecated with
- Add patch mgdiff-1.0-getline.diff to avoid name space conflict
  with getline(3) from stdio.h
* Sat Jul 20 2013 werner@suse.de
- Add some BuildRequires
* Thu Jun 28 2012 lnussel@suse.de
- make rmgdiff work by setting LC_MESSAGES=POSIX (bnc#768892)
* Tue Jun 26 2012 lnussel@suse.de
- remove rmgdiff (bnc#768892)
- fix some rpmlint warnings
* Sat Mar 17 2012 toganm@opensuse.org
- add %%dir /usr/share/X11/app-defaults to fix factory build.
* Tue Dec 11 2007 werner@suse.de
- Correct permissions of the manual pages
* Wed Aug  2 2006 werner@suse.de
- Make it build with X11R7
* Tue Mar  7 2006 werner@ssue.de
- Change order of setlocale() and XtSetLanguageProc() (bug #155300)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  9 2005 werner@ssue.de
- Update to patchlevel 1.0.1 found at debian.org
- Fix unitialized variable (bug #132847)
- Add debian scripts and manual pages to file list
* Wed Jun 15 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Tue Apr 27 2004 werner@ssue.de
- Avoid compiler warnings
- Use mkstemp() instead of tempnam()
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Sat Aug 16 2003 adrian@suse.de
- add desktop file
* Thu Jun 12 2003 kukuk@suse.de
- Use BuildRoot, fix filelist
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Sat May 12 2001 schwab@suse.de
- Fix missing declarations.
* Mon Nov 20 2000 ro@suse.de
- use openmotif
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 uli@suse.de
- now builds with lesstif
* Mon Nov  9 1998 ro@suse.de
- use basename from libc for glibc
* Thu May  7 1998 fehr@suse.de
- add library -lXp for Motif 2.1
* Tue Dec  9 1997 ro@suse.de
- build static and dynamic version
* Tue Jun 24 1997 werner@suse.de
- Regognise all latin1 umlauts as characters in system with
  and without correct working locale.
* Thu Jan  2 1997 kfr@suse.de
- recognise german umlauts as text: dirty hack, but also call "setlocale"
  for correctly installed systems...
